Subject: bug#32975: Emacs 26.1; GTK Warnings

From: Tjernlund <[email-masked]>
Date: Fri, 12 Oct 2018 07:31:15 +0200

On Fri, 2018-10-12 at 07:28 +0300, Eli Zaretskii wrote:
> > From: Tjernlund <[email-masked]>
> > Date: Thu, 11 Oct 2018 23:54:58 +0200
> > Cc: [email-masked]
> > 
> > On Thu, 2018-10-11 at 23:04 +0200, martin rudalics wrote:
> > >  > I just got to ask you guys something that bugs me, why do I have have both:
> > >  > ;; Color settings.
> > >  > (setq default-frame-alist '((background-color . "#333333") (foreground-color . "White") (cursor-color .
> > > "White")))
> > >  > (setq initial-frame-alist default-frame-alist)
> > >  >
> > >  > I think one of the should inherit the other.
> > > 
> > > Throw away the second form.  It's redundant.
> > > 
> > 
> > But I cannot, the color settings will not work, just tried it to confirm.
> 
> How do you start Emacs?

Usually from the terminal, no args other than file names.
Unless I have the new colors in both variables, it wont display the right colors.
Just try with my values. Either the first or the second Frame gets different colors.

 Jocke